[Yandex Cloud documentation](../../../../index.md) > [Yandex Identity Hub](../../../index.md) > API reference > REST > [Identity Provider API](../index.md) > [User](index.md) > GeneratePassword

# Identity Provider API, REST: User.GeneratePassword

Generates a new password.

## HTTP request

```
POST https://organization-manager.api.cloud.yandex.net/organization-manager/v1/idp/users:generatePassword
```

## Response {#yandex.cloud.organizationmanager.v1.idp.GeneratePasswordResponse}

**HTTP Code: 200 - OK**

```json
{
  "passwordSpec": {
    "password": "string",
    "generationProof": "string"
  }
}
```

Response for the [UserService.GeneratePassword](#GeneratePassword) operation.

#|
||Field | Description ||
|| passwordSpec | **[PasswordSpec](#yandex.cloud.organizationmanager.v1.idp.PasswordSpec)**

Generated password specification. ||
|#

## PasswordSpec {#yandex.cloud.organizationmanager.v1.idp.PasswordSpec}

Password specification.

#|
||Field | Description ||
|| password | **string**

Required field. The password string.

The maximum string length in characters is 128. ||
|| generationProof | **string**

Proof that the password was generated by the system.

The maximum string length in characters is 128. ||
|#